Subject: Re: Remote git-cat-file?

From: Jakub Narebski <[email-masked]>
Date: Sun, 28 May 2006 20:34:43 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> It would be nice I think to be able to have remote alternatives,...
> 
> Yup, I think I've mentioned that one as one of "the mostly
> unimplementable but would be very nice to have crazy wishlist
> items" some time ago.  What people would want is not a "shallow"
> clone, but a "lazy" clone, and in the ideal world that would
> obviously be a nice thing to have.

I think that it should be only "commit-lazy", i.e. downloading whole trees,
subtrees, and objects pointed by tags, only not following the parent links
of commits; perhaps also other links to commits (branches, tags, tag
objects).

-- 
Jakub Narebski
Warsaw, Poland